# Uses of Class
com.google.protobuf.Mixin.Builder

Packages that use Mixin.Builder
Package
Description
com.google.protobuf

## Uses of Mixin.Builder in com.google.protobuf

Methods in com.google.protobuf that return Mixin.Builder
Modifier and Type
Method
Description
`Mixin.Builder`
Api.Builder.`addMixinsBuilder()`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`Mixin.Builder`
Api.Builder.`addMixinsBuilder(int index)`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`Mixin.Builder`
Mixin.Builder.`clear()`
`Mixin.Builder`
Mixin.Builder.`clearName()`
`string name = 1 [json_name = "name"];`
`Mixin.Builder`
Mixin.Builder.`clearRoot()`
`string root = 2 [json_name = "root"];`
`Mixin.Builder`
Api.Builder.`getMixinsBuilder(int index)`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`Mixin.Builder`
Mixin.Builder.`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`Mixin.Builder`
Mixin.Builder.`mergeFrom(Message other)`
`Mixin.Builder`
Mixin.Builder.`mergeFrom(Mixin other)`
`final Mixin.Builder`
Mixin.Builder.`mergeUnknownFields(UnknownFieldSet unknownFields)`
`static Mixin.Builder`
Mixin.`newBuilder()`
`static Mixin.Builder`
Mixin.`newBuilder(Mixin prototype)`
`Mixin.Builder`
Mixin.`newBuilderForType()`
`protected Mixin.Builder`
Mixin.`newBuilderForType(GeneratedMessageV3.BuilderParent parent)`
`Mixin.Builder`
Mixin.Builder.`setName(String value)`
`string name = 1 [json_name = "name"];`
`Mixin.Builder`
Mixin.Builder.`setNameBytes(ByteString value)`
`string name = 1 [json_name = "name"];`
`Mixin.Builder`
Mixin.Builder.`setRoot(String value)`
`string root = 2 [json_name = "root"];`
`Mixin.Builder`
Mixin.Builder.`setRootBytes(ByteString value)`
`string root = 2 [json_name = "root"];`
`final Mixin.Builder`
Mixin.Builder.`setUnknownFields(UnknownFieldSet unknownFields)`
`Mixin.Builder`
Mixin.`toBuilder()`
Methods in com.google.protobuf that return types with arguments of type Mixin.Builder
Modifier and Type
Method
Description
`List<Mixin.Builder>`
Api.Builder.`getMixinsBuilderList()`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
Methods in com.google.protobuf with parameters of type Mixin.Builder
Modifier and Type
Method
Description
`Api.Builder`
Api.Builder.`addMixins(int index, Mixin.Builder builderForValue)`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`Api.Builder`
Api.Builder.`addMixins(Mixin.Builder builderForValue)`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`
`Api.Builder`
Api.Builder.`setMixins(int index, Mixin.Builder builderForValue)`
`repeated .google.protobuf.Mixin mixins = 6 [json_name = "mixins"];`